## org.apache.coyote
Interface Processor

    public interface Processor

Processor. Not really used, should be deprecated.

Author:
  Remy Maucherat

Method Summary
`Adapter` `getAdapter()`
`void` `process(java.io.InputStream input, java.io.OutputStream output)`
`void` `setAdapter(Adapter adapter)`

Method Detail

### setAdapter

    void setAdapter(Adapter adapter)

### getAdapter

    Adapter getAdapter()

### process

    void process(java.io.InputStream input,
                 java.io.OutputStream output)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.